<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for entry_types.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
entry_types - propagate parameter type info for Fortran
entry points

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>entry_types</B> <I>infile</I> <I>outfile</I> { <I>infile</I> <I>outfile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>entry</I><B>_</B><I>types</I> program propagates the original parameter
array type information to the dummy procedures produced by
sf2c for entry points into subroutines. It must be run
right after <I>fixfortran</I> if it will be necesary to have the
correct type information in these dummy procedures. For
intraprocedural analysis, it ususally does not matter
because the dummy procedures simply call the procedures
containing the body and pass parameters directly through,
so there is no place within the dummy procedure where the
type information will matter. For interprocedural analysis,
however, this information does matter, so if any
interprocedural passes are to be run, the <I>entry</I><B>_</B><I>types</I> pass
should be run first.

<H2><A NAME="sect3" HREF="#toc3"><B>See</B> <B>Also</B></A></H2>

<P>
<A HREF="man_sf2c.1.html">sf2c(1)</A>
, <A HREF="man_fixfortran.1.html">fixfortran(1)</A>


<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">See Also</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
